### File

`packages/components/eui-block-content/eui-block-content.component.ts`

### Description

Component that wraps content and manages focus state when content is blocked. Provides accessibility attributes and handles focus restoration when blocking/unblocking.

### Implements

`OnChanges`

### Metadata

changeDetection | `ChangeDetectionStrategy.OnPush`
selector | `eui-block-content`
styleUrls | `./eui-block-content.scss`
template |
    <ng-content/>

### Index

###### Methods
deactivateElement reactivateElement
###### Inputs
ariaLabel isBlocked role
###### HostBindings
class
###### Accessors
cssClasses

### Inputs

ariaLabel
Type : `string`
Default value : `'block content wrapper'`
ARIA label for the content wrapper

isBlocked
Type : `boolean`
Default value : `false`
Whether the content is currently blocked When true, focused elements within will be blurred and state saved

role
Type : `string`
Default value : `'region'`
ARIA role for the content wrapper

### HostBindings

class
Type : `string`
CSS classes applied to the host element

### Methods

deactivateElement
`deactivateElement(activeElement: HTMLElement)`
Removes focus from the currently focused element when blocking Stores the element reference for later restoration Parameters :
Name | Type | Optional | Description
activeElement | `HTMLElement` | No | The currently focused element
Returns : `void`

reactivateElement
`reactivateElement(element: HTMLElement)`
Restores focus to the previously focused element when unblocking Parameters :
Name | Type | Optional | Description
element | `HTMLElement` | No | The element that was previously focused
Returns : `void`

### Accessors

cssClasses
get `cssClasses()`
CSS classes applied to the host element Returns : `string`

# results matching ""

# No results matching ""